summaryrefslogtreecommitdiff
path: root/standalone/windows/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'standalone/windows/build.sh')
-rwxr-xr-xstandalone/windows/build.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 730c99858..e6f7b7e9e 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -46,10 +46,11 @@ touch last-incremental-failed
# Build git-annex
withcyg cabal configure
-withcyg cabal build || true
-rm -f Build/EvilLinker.exe
-ghc --make Build/EvilLinker
-Build/EvilLinker
+if ! withcyg cabal build; then
+ rm -f Build/EvilLinker.exe
+ ghc --make Build/EvilLinker
+ Build/EvilLinker
+fi
# Build the installer
cabal install nsis